petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatIncreaseOverlap

Given a set of submatrices indicated by index sets, replaces the index sets by larger ones that represent submatrices with additional overlap.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIncreaseOverlap(Mat mat,PetscInt n,IS is[],PetscInt ov)

Collective on Mat

### Input Parameters

| mat | - the matrix
| n | - the number of index sets
| is | - the array of index sets (these index sets will changed during the call)
| ov | - the additional overlap requested

### Options Database

-mat_increase_overlap_scalable -use a scalable algorithm to compute the overlap (supported by MPIAIJ matrix)

### See Also

MatCreateSubMatrices()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatIncreaseOverlap_MPIAIJ in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_MPIAIJ_Scalable in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_MPIAIJ_Once_Scalable in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_MPIAIJ_Receive_Scalable in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_MPIAIJ_Send_Scalable in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_MPIAIJ_Local_Scalable in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_MPIAIJ_Once in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_MPIAIJ_Local in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_MPIAIJ_Receive in src/mat/impls/aij/mpi/mpiov.c
MatIncreaseOverlap_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatIncreaseOverlap_MPIBAIJ in src/mat/impls/baij/mpi/baijov.c
MatIncreaseOverlap_MPIBAIJ_Once in src/mat/impls/baij/mpi/baijov.c
MatIncreaseOverlap_MPIBAIJ_Local in src/mat/impls/baij/mpi/baijov.c
MatIncreaseOverlap_MPIBAIJ_Receive in src/mat/impls/baij/mpi/baijov.c
MatIncreaseOverlap_SeqBAIJ in src/mat/impls/baij/seq/baij2.c
MatIncreaseOverlap_MPISBAIJ in src/mat/impls/sbaij/mpi/sbaijov.c
MatIncreaseOverlap_MPISBAIJ_Once in src/mat/impls/sbaij/mpi/sbaijov.c
MatIncreaseOverlap_MPISBAIJ_Local in src/mat/impls/sbaij/mpi/sbaijov.c
MatIncreaseOverlap_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij2.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages